Skip to content

Bank Account Validation

Bank Account Validation resource represents the validation details of a bank account.

Validate any bank account

Request

Security
JWT
Bodyapplication/jsonrequired
One of:
countrystring, (iso-3166-1-alpha-3, case-insensitive)required

The country where the customer is located. Country should be sent as a ISO 3166-1 alpha-3 code.

Example:"Ind"
holder_namestringrequired

The name of the account holder.

Example:"John Doe"
account_numberstringrequired

The account number of the bank account as provided by the bank.

Example:"987654321001"
bic_primarystringrequired

The primary BIC of the bank account. This is the BIC of the bank where the account is held. This is also known as the SWIFT code.

Example:"QWERIN000"
bic_secondarystringrequired

The local routing code or domestic clearing code of the bank account. For reference, this is the IFSC code in India, SORT in UK, ABA in the US, etc.

Example:"YESB0000002"
POST
/bank_account_validation
curl -i -X POST \
  https://api.glomopay.com/api/v1/bank_account_validation \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "country": "Ind",
    "holder_name": "John Doe",
    "account_number": "987654321001",
    "bic_primary": "QWERIN000",
    "bic_secondary": "YESB0000002"
  }'

Responses

Bank account validation successful

Bodyapplication/json
idstringread-only

The unique identifier for the bank account validation.

Example:"aval_5JU9yv0lGSUP"
statusstring

The status of the bank account validation. This does not mean the bank account is valid or invalid. It means the validation process was successful or failed.

Enum:"success""failed"
validation_messagestring

The message returned by the bank account validation process.

Example:"The account is registered to John Doe"
fee_chargedobject(Money)

The fee charged for the bank account validation process.

Response
{ "id": "aval_5JU9yv0lGSUP", "status": "success", "validation_message": "The account is registered to John Doe", "fee_charged": { "amount": 1000, "currency": "USD" } }